Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78575

Summary: PCMCIA broken in rawhide
Product: [Retired] Red Hat Linux Reporter: Kjartan Maraas <kmaraas>
Component: kernelAssignee: Jeff Garzik <jgarzik>
Status: CLOSED CURRENTRELEASE QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: katzj, mikem, peterm
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-05-13 21:59:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
vfree(): sleeping in interrupt! none

Description Kjartan Maraas 2002-11-25 21:56:50 UTC
Description of Problem:

The latest rawhide kernel has no support for pcmcia. Modules are plain missing.

insmod: /lib/modules/2.4.19-0.pp.18/pcmcia/pcmcia_core.o: No such file or directory
insmod: /lib/modules/2.4.19-0.pp.18/pcmcia/yenta_socket.o: No such file or directory
insmod: /lib/modules/2.4.19-0.pp.18/pcmcia/ds.o: No such file or directory
[kmaraas@localhost kmaraas]$

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Mike McLean 2002-11-27 20:21:48 UTC
looking in 2.4.19-0.pp.18, I see
/lib/modules/2.4.19-0.pp.18/kernel/drivers/pcmcia/pcmcia_core.o.gz

This appears to also affect .pp.20.  When installing re1127.nightly on a laptop
with the isolinux initrd, I'm getting:

module(s) pcmcia_core not found
failed to load pcmcia_core -- ask for pcmciadd

on vt3.


Comment 2 Mike McLean 2002-11-27 22:01:41 UTC
Hmm, pcmcia under 2.4.19.pp.20 seems to work fine after a (non-pcmcia based)
install of re1127.nightly.  Maybe not quite the same as the reporters problem....

OTOH, I just got the following upon manual ejection of a Xircom RealPort REM56G-100:
<attached>

Comment 3 Mike McLean 2002-11-27 22:02:22 UTC
Created attachment 86764 [details]
vfree(): sleeping in interrupt!

Comment 4 Kjartan Maraas 2003-01-15 18:04:51 UTC
I think this has been fixed since.

Comment 5 Kjartan Maraas 2003-05-13 21:59:30 UTC
Closing.